summaryrefslogtreecommitdiffstats
path: root/development/hugs98/hugs98.SlackBuild
diff options
context:
space:
mode:
author Daniel <whitehate{at}gmail{dot}com>2010-05-11 22:53:32 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:32 +0200
commit179a2c0fdb42db3680ea0e51e4b396eced3eab73 (patch)
tree990ba76bad625fb6ccbe1e8c5854f68c6488e762 /development/hugs98/hugs98.SlackBuild
parent84235f17278942af930e338fc7750f1d1e638d23 (diff)
downloadslackbuilds-179a2c0fdb42db3680ea0e51e4b396eced3eab73.tar.gz
slackbuilds-179a2c0fdb42db3680ea0e51e4b396eced3eab73.tar.xz
development/hugs98: Added to 12.1 repository
Diffstat (limited to 'development/hugs98/hugs98.SlackBuild')
-rw-r--r--development/hugs98/hugs98.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/development/hugs98/hugs98.SlackBuild b/development/hugs98/hugs98.SlackBuild
new file mode 100644
index 0000000000..10e121b0e7
--- /dev/null
+++ b/development/hugs98/hugs98.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for hugs98
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=hugs98
+VERSION=Sep2006
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+JOBS=${JOBS:-3}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-plus-$VERSION
+tar xvf $CWD/$PRGNAM-plus-$VERSION.tar.gz
+cd $PRGNAM-plus-$VERSION
+
+chown -R root:root .
+chmod -R a-s,u+rw,go-w+r .
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+# most --enable's are autodetected by configure (like opengl, ffi and io encoding)
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+# Compile the application and install it into the $PKG directory
+make -j $JOBS
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries - this can be done with 'make install-strip'
+# in many source trees, and that's usually acceptable if so, but if not,
+# use this:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG/usr/man/man1 ; ln -sf hugs.1.gz ffihugs.1.gz )
+( cd $PKG/usr/man/man1 ; ln -sf hugs.1.gz runhugs.1.gz )
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Credits License Readme docs/ffi-notes.txt docs/libraries-notes.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz